Skip to main content
PUT
/
api2
/
v3
/
projects
/
{projectUid}
/
transMemories
Edit translation memories
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v3/projects/{projectUid}/transMemories \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataPerContext": [
    {
      "transMemories": [
        {
          "transMemory": {
            "uid": "<string>"
          },
          "applyPenaltyTo101Only": true,
          "order": 123,
          "penalty": 50,
          "readMode": true,
          "writeMode": true
        }
      ],
      "orderEnabled": true,
      "targetLang": "<string>"
    }
  ]
}
'
{
  "transMemories": [
    {
      "applyPenaltyTo101Only": true,
      "order": 123,
      "penalty": 123,
      "readMode": true,
      "targetLocale": "<string>",
      "transMemory": {
        "businessUnit": {
          "id": "<string>",
          "name": "<string>",
          "uid": "<string>"
        },
        "client": {
          "id": "<string>",
          "name": "<string>",
          "uid": "<string>"
        },
        "createdBy": {
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "dateCreated": "2023-11-07T05:31:56Z",
        "domain": {
          "id": "<string>",
          "name": "<string>",
          "uid": "<string>"
        },
        "id": "<string>",
        "internalId": 123,
        "name": "<string>",
        "note": "<string>",
        "sourceLang": "<string>",
        "subDomain": {
          "id": "<string>",
          "name": "<string>",
          "uid": "<string>"
        },
        "targetLangs": [
          "<string>"
        ],
        "uid": "<string>"
      },
      "workflowStep": {
        "id": "<string>",
        "lqaEnabled": true,
        "name": "<string>",
        "order": 123,
        "uid": "<string>"
      },
      "writeMode": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Unique identifier (UID) of the project

Body

application/json

Translation memory assignments per language/workflow step context

dataPerContext
object[]
required

Translation memory assignments per language/workflow step context

Response

OK

transMemories
object[]

Translation memories assigned to the project